# Interface methods for submodule: RobustAutomaticThresholdImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: RobustAutomaticThresholdImageFilter
class RobustAutomaticThresholdImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetOutsideValue(self, _arg: int) -> None:
		""""""
		...

	def GetOutsideValue(self) -> int:
		""""""
		...

	def SetInsideValue(self, _arg: int) -> None:
		""""""
		...

	def GetInsideValue(self) -> int:
		""""""
		...

	@overload
	def GetThreshold(self) -> float:
		""""""
		...

	@overload
	def GetThreshold(self) -> int:
		""""""
		...

	def SetPow(self, _arg: float) -> None:
		""""""
		...

	def GetPow(self) -> float:
		""""""
		...

	def SetGradientImage(self, input) -> None:
		""""""
		...

	def GetGradientImage(self):
		""""""
		...

	def SetInput1(self, input) -> None:
		""""""
		...

	def SetInput2(self, input) -> None:
		""""""
		...

